<?php 

include '../../conexion/conn.php';
$q = isset($_POST['q']) ? $_POST['q'] : ''; 
$items=array();
$id_parametro=$_REQUEST['id_parametro'];
$especie_cod=$_REQUEST['especie_cod'];
	
	$rs = mysql_query("select especies_detalle_defectos.defecto_id, defectos.defecto_nombre from especies_detalle_defectos INNER JOIN defectos ON defectos.defecto_id=especies_detalle_defectos.defecto_id WHERE especies_detalle_defectos.especie_cod='$especie_cod'");
    
	while($row = mysql_fetch_array($rs)){
		$rs2 = mysql_query("select defectos_detalle_parametros.defecto_id, defectos.defecto_nombre from defectos_detalle_parametros INNER JOIN defectos ON defectos.defecto_id=defectos_detalle_parametros.defecto_id WHERE defectos_detalle_parametros.id_parametro='$id_parametro' and defectos_detalle_parametros.defecto_id='".$row['defecto_id']."'");
    
		while($row2 = mysql_fetch_array($rs2)){
			array_push($items,array('defecto_id'=>$row2['defecto_id'],'defecto_nombre'=>$row2['defecto_nombre']));		
		}
	}
	
	
echo json_encode($items); 

?> 